summaryrefslogtreecommitdiff
path: root/tools/get-qxl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/get-qxl.sh')
-rwxr-xr-xtools/get-qxl.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tools/get-qxl.sh b/tools/get-qxl.sh
new file mode 100755
index 0000000..f54829e
--- /dev/null
+++ b/tools/get-qxl.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+if [ -f $(dirname ${BASH_SOURCE[0]})/config ]; then
+ source $(dirname ${BASH_SOURCE[0]})/config
+else
+ echo "Requires config to be present."
+ echo "$(dirname ${BASH_SOURCE[0]})/config couldn't be found."
+ exit 1
+fi
+
+if [ -z $1 ]; then
+ echo "Usage: get-qxl.sh <destination directory>"
+ exit 1
+fi
+
+pushd $1
+
+for file in qxl_8k2R2_x64.zip qxl_w7_x64.zip qxl_w7_x86.zip qxl_xp_x86.zip
+do
+ wget ${QXL_URL}/${file}
+ unzip ${file}
+ rm ${file}
+done
+
+mv xp winxp
+mv w7 win7
+mv 2k8R2 win2k8r2
+
+popd